;--------------------------------------------------
; RegisterWithByte   
;    
;.equ Onebitdelay =72		19200  4

.equ Onebitdelay =72	; 45  OSCCAL==48

SendByteAsHEX:			;     2 ASCII 
	push Parametr0
	swap Parametr0
	andi Parametr0, 0x0F
	rcall SendHalfByteAsHEX
	pop Parametr0
	andi Parametr0, 0x0F
	
SendHalfByteAsHEX:		;       ASCII 
	mov temp, R30
	mov temp2, R31
	ldi R30, low(TableCHAR*2)
	ldi R31, High(TableCHAR*2)
	
	add R30,Parametr0 
	brcc NotC
	inc R31	
NotC:	
	lpm
	mov parametr0, R0
	
	mov R30, temp
	mov R31, temp2

SendByte:				;      

	in temp, DDRB
	ori temp, 1<<TxD
	out DDRB,temp

	ldi	temp2,9
	clc					;Start bit
	rol Parametr0 
putchar0:
	ror	 Parametr0 ;Get next bit
	brcs	putchar1	; If carry set
	cbi	PORTB, TxD		; send a '0'
	rjmp	putchar2	; else	

putchar1:
	sbi	PORTB,TxD 	;    send a '1'
	nop

putchar2:	

	ldi temp3 ,Onebitdelay		;
UART_delay:
	dec  temp3
	brne UART_delay
	
	dec	 temp2			;If not all bit sent
	brne putchar0	;   send next
						;else
						
	sbi	PORTB,TxD 	;    send a '1'
	
	ldi temp3,Onebitdelay		;One bit delay
UART_delay2:
	dec temp3
	brne UART_delay2
ret
;-----------------------------------
BigDelay:
	wdr
	Delay100mS
	subi temp,1
	brcc BigDelay
	ret
;***************************************************************************
;*
;* Bin2BCD == 16-bit Binary to BCD conversion
;*
;* fbinL:fbinH  >>>  tBCD0:tBCD1:tBCD2
;*     hex                  dec
;*   r16r17     >>>      r20r21r22
;*
;***************************************************************************
;    
;.def    temp   =r16    ; binary value Low byte
;.def    temp2   =r17    ; binary value High byte
;.def    tBCD0   =r20    ; BCD value digits 0 and 1
;.def    tBCD1   =r21    ; BCD value digits 2 and 3
;.def    tBCD2   =r22    ; BCD value digit 4 (MSD is lowermost nibble)

Bin2BCD16:      ldi     tBCD2,0xff      ;initialize digit 4
binbcd_4:       inc     tBCD2           ;
                subi    temp,low(10000);subiw fbin,10000
                sbci    temp2,high(10000)
                brcc    binbcd_4        ;
                ldi     tBCD1,0x9f      ;initialize digits 3 and 2
binbcd_3:       subi    tBCD1,0x10      ;
                subi    temp,low(-1000);addiw fbin,1000
                sbci    temp2,high(-1000)
                brcs    binbcd_3        ;
binbcd_2:       inc     tBCD1           ;
                subi    temp,low(100)  ;subiw fbin,100
                sbci    temp2,high(100) ;
                brcc    binbcd_2        ;
                ldi     tBCD0,0xa0      ;initialize digits 1 and 0
binbcd_1:       subi    tBCD0,0x10      ;
                subi    temp,-10       ;addi fbin,10
                brcs    binbcd_1        ;
                add     tBCD0,temp     ;LSD
binbcd_ret:     ret                     ;
