;         
;   -    
; temp  == ADCL
; temp2 == ADCH
;  
; Parametr0 -    .
;    (>=991) (<32)    (thermometr.asm)
ADCtoT:
    ldi R30, low(StartTermTable*2)	;    
    ldi R31, High(StartTermTable*2) 
    clr Parametr0
    
NextSearch:
	lpm tBCD0, Z    ;  ,   BIN to BCD
	adiw R30,1	
	lpm tBCD1,Z     
	adiw R30,1

	CPR16 temp, temp2, tBCD0, tBCD1
	brcc EndADCtoT

	inc Parametr0
	rjmp NextSearch

EndADCtoT:
ret

;        .
;   c 47   47K
StartTermTable:

;.db low(0x3FF+1), high(0x3FF+1)  ;   

.db low(991), high(991)  ; -40
.db low(989), high(989)  ; -39
.db low(987), high(987)  ; -38
.db low(985), high(985)  ; -37
.db low(982), high(982)  ; -36
.db low(980), high(980)  ; -35
.db low(977), high(977)  ; -34
.db low(974), high(974)  ; -33
.db low(971), high(971)  ; -32
.db low(968), high(968)  ; -31
.db low(965), high(965)  ; -30
.db low(961), high(961)  ; -29
.db low(958), high(958)  ; -28
.db low(954), high(954)  ; -27
.db low(950), high(950)  ; -26
.db low(946), high(946)  ; -25
.db low(941), high(941)  ; -24
.db low(937), high(937)  ; -23
.db low(932), high(932)  ; -22
.db low(927), high(927)  ; -21
.db low(922), high(922)  ; -20
.db low(916), high(916)  ; -19
.db low(911), high(911)  ; -18
.db low(905), high(905)  ; -17
.db low(899), high(899)  ; -16
.db low(893), high(893)  ; -15
.db low(886), high(886)  ; -14
.db low(879), high(879)  ; -13
.db low(872), high(872)  ; -12
.db low(865), high(865)  ; -11
.db low(858), high(858)  ; -10
.db low(850), high(850)  ; -9
.db low(842), high(842)  ; -8
.db low(834), high(834)  ; -7
.db low(826), high(826)  ; -6
.db low(817), high(817)  ; -5
.db low(808), high(808)  ; -4
.db low(799), high(799)  ; -3
.db low(790), high(790)  ; -2
.db low(780), high(780)  ; -1
.db low(771), high(771)  ; 0
.db low(761), high(761)  ; 1
.db low(751), high(751)  ; 2
.db low(741), high(741)  ; 3
.db low(730), high(730)  ; 4
.db low(720), high(720)  ; 5
.db low(709), high(709)  ; 6
.db low(698), high(698)  ; 7
.db low(687), high(687)  ; 8
.db low(676), high(676)  ; 9
.db low(664), high(664)  ; 10
.db low(653), high(653)  ; 11
.db low(642), high(642)  ; 12
.db low(630), high(630)  ; 13
.db low(619), high(619)  ; 14
.db low(607), high(607)  ; 15
.db low(595), high(595)  ; 16
.db low(584), high(584)  ; 17
.db low(572), high(572)  ; 18
.db low(560), high(560)  ; 19
.db low(548), high(548)  ; 20
.db low(537), high(537)  ; 21
.db low(525), high(525)  ; 22
.db low(514), high(514)  ; 23
.db low(502), high(502)  ; 24
.db low(491), high(491)  ; 25
.db low(479), high(479)  ; 26
.db low(468), high(468)  ; 27
.db low(457), high(457)  ; 28
.db low(446), high(446)  ; 29
.db low(435), high(435)  ; 30
.db low(424), high(424)  ; 31
.db low(413), high(413)  ; 32
.db low(403), high(403)  ; 33
.db low(392), high(392)  ; 34
.db low(382), high(382)  ; 35
.db low(372), high(372)  ; 36
.db low(362), high(362)  ; 37
.db low(353), high(353)  ; 38
.db low(343), high(343)  ; 39
.db low(334), high(334)  ; 40
.db low(325), high(325)  ; 41
.db low(316), high(316)  ; 42
.db low(307), high(307)  ; 43
.db low(298), high(298)  ; 44
.db low(290), high(290)  ; 45
.db low(282), high(282)  ; 46
.db low(273), high(273)  ; 47
.db low(266), high(266)  ; 48
.db low(258), high(258)  ; 49
.db low(250), high(250)  ; 50
.db low(243), high(243)  ; 51
.db low(236), high(236)  ; 52
.db low(229), high(229)  ; 53
.db low(222), high(222)  ; 54
.db low(216), high(216)  ; 55
.db low(209), high(209)  ; 56
.db low(203), high(203)  ; 57
.db low(197), high(197)  ; 58
.db low(191), high(191)  ; 59
.db low(185), high(185)  ; 60
.db low(180), high(180)  ; 61
.db low(175), high(175)  ; 62
.db low(169), high(169)  ; 63
.db low(164), high(164)  ; 64
.db low(159), high(159)  ; 65
.db low(154), high(154)  ; 66
.db low(150), high(150)  ; 67
.db low(145), high(145)  ; 68
.db low(141), high(141)  ; 69
.db low(137), high(137)  ; 70
.db low(133), high(133)  ; 71
.db low(129), high(129)  ; 72
.db low(125), high(125)  ; 73
.db low(121), high(121)  ; 74
.db low(117), high(117)  ; 75
.db low(114), high(114)  ; 76
.db low(110), high(110)  ; 77
.db low(107), high(107)  ; 78
.db low(104), high(104)  ; 79
.db low(101), high(101)  ; 80
.db low(98), high(98)  ; 81
.db low(95), high(95)  ; 82
.db low(92), high(92)  ; 83
.db low(89), high(89)  ; 84
.db low(87), high(87)  ; 85
.db low(84), high(84)  ; 86
.db low(82), high(82)  ; 87
.db low(79), high(79)  ; 88
.db low(77), high(77)  ; 89
.db low(75), high(75)  ; 90
.db low(72), high(72)  ; 91
.db low(70), high(70)  ; 92
.db low(68), high(68)  ; 93
.db low(66), high(66)  ; 94
.db low(64), high(64)  ; 95
.db low(63), high(63)  ; 96
.db low(61), high(61)  ; 97
.db low(59), high(59)  ; 98
.db low(57), high(57)  ; 99
.db low(56), high(56)  ; 100
.db low(54), high(54)  ; 101
.db low(53), high(53)  ; 102
.db low(51), high(51)  ; 103
.db low(50), high(50)  ; 104
.db low(48), high(48)  ; 105
.db low(47), high(47)  ; 106
.db low(46), high(46)  ; 107
.db low(44), high(44)  ; 108
.db low(43), high(43)  ; 109
.db low(42), high(42)  ; 110
.db low(41), high(41)  ; 111
.db low(40), high(40)  ; 112
.db low(39), high(39)  ; 113
.db low(38), high(38)  ; 114
.db low(36), high(36)  ; 115
.db low(35), high(35)  ; 116
.db low(35), high(35)  ; 117
.db low(34), high(34)  ; 118
.db low(33), high(33)  ; 119
.db low(32), high(32)  ; 120
EndTermTable:
.db 0, 0

